[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'LCLPlatformDef' (#lcl)

# TLCLPlatforms

Set type used to store TLCLPlatform enumeration value(s).

## Declaration

Source position: lclplatformdef.pas line 39

`type TLCLPlatforms = set of (`
`lpGtk,` |  | GIMP ToolKit.
`lpGtk2,` |  | GTK version 2.
`lpGtk3,` |  | GTK version 3.
`lpWin32,` |  | Windows API (née Win32 API).
`lpWinCE,` |  | Windows CE.
`lpCarbon,` |  | macOS Carbon API.
`lpQT,` |  | QT version 4.
`lpQt5,` |  | QT version 5.
`lpQt6,`
`lpfpGUI,` |  | FreePascal GUI.
`lpNoGUI,` |  | No GUI.
`lpCocoa,` |  | macOS Cocoa API.
`lpCustomDrawn,` |  | Custom-drawn.
`lpMUI` |  | Magic User Interface (MUI) for AmigaOS, AROS.
`);`

## See also

TLCLPlatform |  | Represents the supported platforms for the LCL.